<script setup lang="ts">
import { ref } from 'vue'
import ProductList from '@/components/pos/ProductList.vue'
import type { Product } from '@/types/Product'
import { usePosStore } from '@/stores/pos'
const posStore = usePosStore()
const snackbar = ref(false)
const product = ref<Product>()
function selected(p: Product) {
  product.value = p
  snackbar.value = true
}
const tab = ref(null)
</script>

<template>
  <v-card max-width="800">
    <v-tabs
      v-model="tab"
      color="deep-purple-accent-4"
      align-tabs="center"
      style="background-color: red"
    >
      <v-tab :value="1">Landscape</v-tab>
      <v-tab :value="2">City</v-tab>
      <v-tab :value="3">Abstract</v-tab>
    </v-tabs>
    <v-window v-model="tab">
      <v-window-item :value="1" style="background-color: blue">
        <ProductList :products="posStore.products1" @selected="selected"></ProductList>
      </v-window-item>
      <v-window-item :value="2" style="background-color: blue">
        <ProductList :products="posStore.products2" @selected="selected"></ProductList>
      </v-window-item>
      <v-window-item :value="3" style="background-color: blue">
        <ProductList :products="posStore.products3" @selected="selected"></ProductList>
      </v-window-item>
    </v-window>
  </v-card>

  <v-snackbar v-model="snackbar">
    {{ product }}

    <template v-slot:actions>
      <v-btn color="pink" variant="text" @click="snackbar = false"> Close </v-btn>
    </template>
  </v-snackbar>
</template>
../components/pos/ProductList.vue
